ALTER TABLE `exam_course_mapping` ADD COLUMN `student_code` VARCHAR(50) NULL COMMENT '学号' AFTER `exam_type_name`;
ALTER TABLE `cloud_marking_score` ADD COLUMN `sync_course_code` VARCHAR(45) NULL COMMENT '武大考务数据课程代码' AFTER `subject_name`;
ALTER TABLE `cloud_marking_score` ADD COLUMN `open_college` VARCHAR(150) NULL COMMENT '开课学院' AFTER `sync_course_code`;
ALTER TABLE `exam_course_mapping` ADD COLUMN `exam_id` INT(10) NULL COMMENT '云阅卷考试ID' AFTER `cloud_marking_course_code`;
ALTER TABLE `exam_course_mapping` ADD INDEX `index_1` (`exam_type_id` ASC, `exam_id` ASC);
ALTER TABLE `exam_assign` ADD COLUMN `sync_course_code` VARCHAR(45) NULL COMMENT '考务数据课程代码' AFTER `exam_type_id`;

-- 2025-02-13
ALTER TABLE `exam_sync_total` ADD COLUMN `sync_log` MEDIUMTEXT NULL COMMENT '同步日志' AFTER `update_time`;
delete FROM exam_sync_total where use_file = 0;
update exam_sync_total set download_status = 1 where download_status = 0;
delete from exam_sync_student where exam_sync_total_id in (SELECT id FROM exam_sync_total where use_file = 0);
